efl::eina::error_category Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eina::error_category Struct Reference
Eina C++ » Tools » Error Handling

Specialized error category for Eina errors. More...

## Public Member Functions
const char * | name () const throw ()
| Name of the error category. More...
bool | equivalent (int code, eina::error_condition const &condition) const throw ()
| Check if the given error code is equivalent to the given error condition. More...
bool | equivalent (eina::error_code const &code, int condition) const throw ()
| Check if the given error code is equivalent to the given error condition. More...
std::string | message (int condition) const
| Get the message related with the given error condition. More...

## Detailed Description

Specialized error category for Eina errors.

## Member Function Documentation

const char* efl::eina::error_category::name | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Name of the error category.

Returns
  String containing the word "eina"

bool efl::eina::error_category::equivalent | ( | int | code,
|  | eina::error_condition const & | condition
| ) |  | const
throw | ( |
| ) |  |
| inline

Check if the given error code is equivalent to the given error condition.

Parameters

  code | Integer representing the error code.
  condition | `eina::error_condition` object.

Returns
  `true` if `code` is equivalent to `condition`.

bool efl::eina::error_category::equivalent | ( | eina::error_code const & | code,
|  | int | condition
| ) |  | const
throw | ( |
| ) |  |
| inline

Check if the given error code is equivalent to the given error condition.

Parameters

  code | `eina::error_code` object.
  condition | Integer representing the error condition.

Returns
  `true` if `code` is equivalent to `condition`.

std::string efl::eina::error_category::message | ( | int | condition | ) | const
| inline

Get the message related with the given error condition.

Parameters

  condition | Eina error condition.

Returns
  String containing the message related with the given error condition.

This member function returns the error message related with the given error condition code.

Note
  When the given condition code is not registered within the Eina errors it will return a string indicating that an error message is not available.

References eina_error_msg_get().